ipe::PdfString Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfString (const String &val, bool binary=false)
virtual const PdfString * | string () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
String | value () const noexcept
String | decode () const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF string object.

## Constructor & Destructor Documentation

ipe::PdfString::PdfString | ( | const String & | val,
|  | bool | binary = `false`
| ) |  |

inline explicit

References ipe::PdfObj::string(), and ipe::PdfObj::write().

## Member Function Documentation

const PdfString * PdfString::string | ( |  | ) | const

virtual noexcept

Return this object as PDF string object.

Reimplemented from ipe::PdfObj.

void PdfString::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const

virtual noexcept

Implements ipe::PdfObj.

String ipe::PdfString::value | ( |  | ) | const

inline noexcept

String PdfString::decode | ( |  | ) | const

noexcept

Return value of string after decoding binary strings.

References ipe::Lex::eos(), and ipe::Lex::getHexByte().

Referenced by ipe::CairoPainter::doDrawText().

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp